### Virtual Method

# Phosh DBusLoginSession handle_set_brightness

#### Declaration [src]

    gboolean
    handle_set_brightness (
      PhoshDBusLoginSession* object,
      GDBusMethodInvocation* invocation,
      const gchar* arg_subsystem,
      const gchar* arg_name,
      guint arg_brightness
    )

#### Description [src]

Handler for the `PhoshDBusLoginSession::handle-set-brightness` signal.

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  No description available.

  The data is owned by the caller of the method.

`arg_subsystem`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg_name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg_brightness`

  Type: `guint`

  No description available.

#### Return value

Type: `gboolean`

No description available.